org.eclipse.incquery.viewers.runtime.model

## Interface NotationModel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    NotationModelImpl

      public interface NotationModel
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Model'.

  The following features are supported:

  - `Items`
  - `Edges`
  - `Containments`
  - `Id`
  See Also:
    `NotationPackage.getNotationModel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<Containment>` | `getContainments()` Returns the value of the 'Containments' containment reference list.
    `org.eclipse.emf.common.util.EList<Edge>` | `getEdges()` Returns the value of the 'Edges' containment reference list.
    `java.lang.String` | `getId()` Returns the value of the 'Id' attribute.
    `org.eclipse.emf.common.util.EList<Item>` | `getItems()` Returns the value of the 'Items' containment reference list.
    `void` | `setId(java.lang.String value)` Sets the value of the '`Id`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getItems

          org.eclipse.emf.common.util.EList<Item> getItems()

      Returns the value of the 'Items' containment reference list. The list contents are of type `Item`.

      If the meaning of the 'Items' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Items' containment reference list.
      See Also:
        `NotationPackage.getNotationModel_Items()`

    - #### getEdges

          org.eclipse.emf.common.util.EList<Edge> getEdges()

      Returns the value of the 'Edges' containment reference list. The list contents are of type `Edge`.

      If the meaning of the 'Edges' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Edges' containment reference list.
      See Also:
        `NotationPackage.getNotationModel_Edges()`

    - #### getContainments

          org.eclipse.emf.common.util.EList<Containment> getContainments()

      Returns the value of the 'Containments' containment reference list. The list contents are of type `Containment`.

      If the meaning of the 'Containments' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Containments' containment reference list.
      See Also:
        `NotationPackage.getNotationModel_Containments()`

    - #### getId

          java.lang.String getId()

      Returns the value of the 'Id' attribute.

      If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Id' attribute.
      See Also:
        `setId(String)`, `NotationPackage.getNotationModel_Id()`

    - #### setId

          void setId(java.lang.String value)

      Sets the value of the '`Id`' attribute.
      Parameters:
        `value` - the new value of the 'Id' attribute.
      See Also:
        `getId()`